%define name ksymoops
%define version 2.4.9
%define release 2.1.100mdk

Summary: Kernel oops and error message decoder
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
URL: ftp://ftp.kernel.org/pub/linux/utils/kernel/ksymoops/v2.4/
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: binutils-devel
Requires: binutils
ExclusiveOS: Linux


Source0: %{name}-%{version}.tar.bz2
Source1: ksymoops-gznm
Source2: ksymoops-script
Source3: README.mandrake

Patch1: ksymoops-2.4.3-add_gz_modules_support.bz2

%description
The Linux kernel produces error messages that contain machine specific
numbers which are meaningless for debugging.  ksymoops reads machine
specific files and the error log and converts the addresses to
meaningful symbols and offsets.

%prep
%setup -q
%patch1 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" make DEF_MAP=\\\"/boot/System.map-*r\\\" all
 
%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_PREFIX=%{buildroot}%{_prefix} INSTALL_MANDIR=%{buildroot}%{_mandir}/ install
mv %{buildroot}/usr/bin/ksymoops %{buildroot}%{_bindir}/ksymoops.real
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}
install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/ksymoops
install -m 644 %{SOURCE3} .

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING README INSTALL Changelog README.mandrake
%{_bindir}/ksymoops
%{_bindir}/ksymoops-gznm
%{_bindir}/ksymoops.real
%{_mandir}/man8/ksymoops.8*


%changelog
* Wed Jun  9 2004 Vincent Danen <vdanen@mandrakesoft.com> 2.4.9-2.1.100mdk
- fix ksymoops-gznm script; re Geoffrey Lee

* Fri Sep  5 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.4.9-2mdk
- fix deps

* Wed Aug 13 2003 Juan Quintela <quintela@mandrakesoft.com> 2.4.9-1mdk
- don't provide kernel-utils anymore.
- 2.4.9.

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.4.8-2mdk
- rebuild
- drop Prefix tag
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- macroize

* Mon Dec  9 2002 Juan Quintela <quintela@mandrakesoft.com> 2.4.8-1mdk
- 2.4.8.

* Wed Apr 10 2002 Juan Quintela <quintela@mandrakesoft.com> 2.4.5-1mdk
- compile with RPM_OPT_FLAGS.
- 2.4.5.

* Tue Feb 26 2002 Juan Quintela <quintela@bi.mandrakesoft.com> 2.4.3-4mdk
- Corrected a missing space in the find command line (Duclos Andre).

* Mon Feb 25 2002 Juan Quintela <quintela@bi.mandrakesoft.com> 2.4.3-3mdk
- Corrected permissions of README.mandrake (Duclos Andre).

* Wed Feb  6 2002 Juan Quintela <quintela@mandrakesoft.com> 2.4.3-2mdk
- s/$RPM_BUILD_ROOT/$buildroot/.
- add ksymoops script to put the KSYMOOPS_NM to find the gznm instead of nm.
- add gznm script to make nm <module> work indepently if it is gzipped or not.
- add support for gzipped modules.

* Mon Oct  8 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.3-1mdk
- Provides kernel-utils.
- 2.4.3.
- s/Copyright/License/.

* Wed May  2 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.1-1mdk
- 2.4.1.

* Sun Mar  4 2001 Pixel <pixel@mandrakesoft.com> 2.4.0-3mdk
- better require binutils (as objdump is required too)

* Sun Mar  4 2001 Pixel <pixel@mandrakesoft.com> 2.4.0-2mdk
- add require on /usr/bin/nm

* Wed Feb 14 2001 Juan Quintela <quintela@mandrakesoft.com> 2.4.0-1mdk
- First spec file for Mandrake distribution.

# end of file
